## pmix 5.0.0~rc1

=== debian/changelog ===
pmix (5.0.0~rc1-2) unstable; urgency=medium

  * Remove obsolete breaks/replaces for trixie 
  * Build-dep on python3-setuptools instead od pyhon3-distutils
  * Delete .gitmodules, to stop network access via 'git submodules status'
    call in autogen.pl
  * B-D on python3-sphinx, python3-sphinx-rtd-theme, python3-recommonmark
    to build docs

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Jun 2023 12:20:46 +0100

pmix (5.0.0~rc1-1) experimental; urgency=medium

  * New upstream release
  * configure.patch: configuration fixes
  * Standards-Version: 4.6.2
  * Ship man pages, html in libpmix-dev package

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 26 Apr 2023 07:36:38 +0100

pmix (4.2.3~rc1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 03 Jan 2023 08:21:13 +0000
