=== debian/control ===
Source: pmix
Section: net
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13), 
 dh-sequence-python3,
 chrpath,
 flex,
 bison,
 libfl-dev,
 python3-all-dev,
 cython3,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-recommonmark,
 libpsm-infinipath1-dev [amd64 i386],
 libucx-dev [amd64 arm64 ppc64el],
 libpsm2-dev [amd64],
 libcurl4-gnutls-dev | libcurl-dev,
 libhwloc-dev,
 zlib1g-dev,
 libevent-dev,
 libjansson-dev,
 libltdl-dev,
 libmunge-dev [ !hurd-i386]
Standards-Version: 4.6.2
Homepage: https://github.com/pmix/pmix
Vcs-Browser: https://salsa.debian.org:/science-team/pmix.git
Vcs-Git: https://salsa.debian.org:/science-team/pmix.git -b debian/latest

Package: libpmix-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Drepends}, ${misc:Depends}, libpmix2 (= ${binary:Version}), libevent-dev, libhwloc-dev, zlib1g-dev
Description: Development files for the PMI Exascale library  
 This is the OpenMPI implementation of the Process Management Interface (PMI)
 Exascale API. PMIx aims to retain transparent compatibility with the existing
 PMI-1 and PMI-2 definitions, and any future PMI releases; Support 
 the Instant On initiative for rapid startup of applications at exascale
 and beyond.
 
Package: libpmix2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc-plugins
Description: Process Management Interface (Exascale) library
 This is the OpenMPI implementation of the Process Management Interface (PMI)
 Exascale API. PMIx aims to retain transparent compatibility with the existing
 PMI-1 and PMI-2 definitions, and any future PMI releases; Support 
 the Instant On initiative for rapid startup of applications at exascale
 and beyond.


Package: libpmix-bin
Depends:  ${misc:Depends}, ${shlibs:Depends}, libpmix2 (= ${binary:Version})
Architecture: any
Multi-Arch: foreign
Recommends: libpmix-dev
Description: Process Management Interface (Exascale) library - tools
 PMIX is the OpenMPI implementation of the Process Management Interface (PMI)
 Exascale API. This package provides utilities for working with pmix.

Package: python3-pmix
Depends: python3, ${misc:Depends}, ${shlibs:Depends}, libpmix2 (= ${binary:Version})
Architecture: any
Multi-Arch: foreign
Recommends: libpmix-dev
Description: Process Management Interface (Exascale) library - Python wrapper
 PMIX is the OpenMPI implementation of the Process Management Interface (PMI)
 Exascale API. This package provides Python3 bindings.
