## pmix 5.0.1

=== debian/changelog ===
pmix (5.0.1-4.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:38:57 +1100

pmix (5.0.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063262

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 20:54:59 +0000

pmix (5.0.1-4) unstable; urgency=medium

  * Drop unused cyth* files. Closes: #1054737, #1056831

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 06 Dec 2023 08:51:51 +0000

pmix (5.0.1-3) unstable; urgency=medium

  * Fix for build on Hurd-amd64. Thanks to Sam Thibault. Closes: #1055363

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 05 Dec 2023 06:51:00 +0000

pmix (5.0.1-2) unstable; urgency=medium

  * Broken symlink: soname is 2.13.1 now. Closes: #1051870
  * Enable build-twice (delete autogenerated files).
    Closes: #1049253

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Sep 2023 16:32:00 +0100

pmix (5.0.1-1) unstable; urgency=medium

  * New upstream release. Closes: #1051729, #1043263

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Aug 2023 09:50:20 +0100
