=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: pmix
 Section: net
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper-compat (= 13), 
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), 
  dh-sequence-python3,
  chrpath,
  flex,
@@ -23,7 +24,7 @@
  libevent-dev,
  libjansson-dev,
  libltdl-dev,
- libmunge-dev [ !hurd-i386]
+ libmunge-dev [ !hurd-any]
 Standards-Version: 4.6.2
 Homepage: https://github.com/pmix/pmix
 Vcs-Browser: https://salsa.debian.org:/science-team/pmix.git
@@ -33,7 +34,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Drepends}, ${misc:Depends}, libpmix2 (= ${binary:Version}), libevent-dev, libhwloc-dev, zlib1g-dev
+Depends: ${shlibs:Drepends}, ${misc:Depends}, libpmix2t64 (= ${binary:Version}), libevent-dev, libhwloc-dev, zlib1g-dev
 Description: Development files for the PMI Exascale library  
  This is the OpenMPI implementation of the Process Management Interface (PMI)
  Exascale API. PMIx aims to retain transparent compatibility with the existing
@@ -41,7 +42,10 @@
  the Instant On initiative for rapid startup of applications at exascale
  and beyond.
  
-Package: libpmix2
+Package: libpmix2t64
+Provides: ${t64:Provides}
+Replaces: libpmix2
+Breaks: libpmix2 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -55,7 +59,7 @@
 
 
 Package: libpmix-bin
-Depends:  ${misc:Depends}, ${shlibs:Depends}, libpmix2 (= ${binary:Version})
+Depends:  ${misc:Depends}, ${shlibs:Depends}, libpmix2t64 (= ${binary:Version})
 Architecture: any
 Multi-Arch: foreign
 Recommends: libpmix-dev
@@ -64,7 +68,7 @@
  Exascale API. This package provides utilities for working with pmix.
 
 Package: python3-pmix
-Depends: python3, ${misc:Depends}, ${shlibs:Depends}, libpmix2 (= ${binary:Version})
+Depends: python3, ${misc:Depends}, ${shlibs:Depends}, libpmix2t64 (= ${binary:Version})
 Architecture: any
 Multi-Arch: foreign
 Recommends: libpmix-dev
