=== debian/rules ===
--- 
+++ 
@@ -56,6 +56,13 @@
 	rm -f $(patsubst %, debian/%, ${AUTOGENERATED})
 	rm -rf debian/static-build debian/shared-build
 	rm -f .gitmodules
+	# autogenerated files. Clean so double-build works
+	find . -name Makefile.in -delete
+	rm -f aclocal.m4 config/ar-lib config/autogen_found_items.m4 config/compile config/config.sub config/depcomp \
+		config/install-sh config/libtool.m4 config/config.guess config/ltmain.sh config/ltoptions.m4 \
+		config/ltsugar.m4 config/lt~obsolete.m4 config/ltversion.m4 config/mca_library_paths.txt \
+		config/missing config/test-driver config/ylwrap configure src/include/pmix_config.h.in \
+		src/include/pmix_frameworks.c src/include/pmix_frameworks.h include/pmix_version.h
 
 override_dh_autoreconf:
 	./autogen.pl --force
