## pmix 5.0.2

=== debian/changelog ===
pmix (5.0.2-3) unstable; urgency=medium

  * Update symlink to 2.13.2

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Apr 2024 11:09:18 +0100

pmix (5.0.2-2) unstable; urgency=medium

  * Build-dep on architecture-is-64-bit. Closes: #1068211

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 04 Apr 2024 08:39:16 +0100

pmix (5.0.2-1) unstable; urgency=medium

  * New upstream release
  * Add oac-config.patch for missing config pieces

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 25 Mar 2024 20:50:17 +0000
