=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: pmix
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), 
+ architecture-is-64-bit,
  dh-sequence-python3,
  chrpath,
  flex,
