## pmix 5.0.3

=== debian/changelog ===
pmix (5.0.3-2) unstable; urgency=medium

  * Update symlink to 2.13.3. Closes: #1076148

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 16 Jul 2024 10:05:34 +0100

pmix (5.0.3-1) unstable; urgency=medium

  * New upstream release
  * Set Debian Science Maint. as maintainer
  * Fix broken vcs url
  * Standards-Version: 4.7.0; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 11 Jul 2024 06:51:10 +0100
