=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pmix
 Section: net
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), 
  architecture-is-64-bit,
  dh-sequence-python3,
@@ -25,10 +26,10 @@
  libjansson-dev,
  libltdl-dev,
  libmunge-dev [ !hurd-any]
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/pmix/pmix
-Vcs-Browser: https://salsa.debian.org:/science-team/pmix.git
-Vcs-Git: https://salsa.debian.org:/science-team/pmix.git -b debian/latest
+Vcs-Browser: https://salsa.debian.org/science-team/pmix.git
+Vcs-Git: https://salsa.debian.org/science-team/pmix.git -b debian/latest
 
 Package: libpmix-dev
 Section: libdevel
