## pmix 5.0.6

=== debian/changelog ===
pmix (5.0.6-3) unstable; urgency=medium

  * Drop unnecessary dep on python3-sphinx

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 Feb 2025 05:52:01 +0000

pmix (5.0.6-2) unstable; urgency=medium

  * Update symlink to 2.13.6

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 Feb 2025 05:51:04 +0000

pmix (5.0.6-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Jan 2025 06:27:47 +0000

pmix (5.0.5-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete 32-bit code
  * Update symlink to 2.13.5

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 17 Dec 2024 05:44:01 +0000

pmix (5.0.4-1) unstable; urgency=medium

  * New  upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 19 Nov 2024 07:31:23 +0000

pmix (5.0.4~rc1-1) experimental; urgency=medium

  * New upstream release
  * libpmix-dev: depend on python3-sphinx, libjs-jquery
  * Update symlink to 2.3.14

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 01 Nov 2024 09:49:11 +0000
