=== debian/control ===
--- 
+++ 
@@ -16,7 +16,8 @@
  python3-sphinx,
  python3-sphinx-rtd-theme,
  python3-recommonmark,
- libpsm-infinipath1-dev [amd64 i386],
+ libjs-jquery,
+ libpsm-infinipath1-dev [amd64],
  libucx-dev [amd64 arm64 ppc64el],
  libpsm2-dev [amd64],
  libcurl4-gnutls-dev | libcurl-dev,
@@ -35,7 +36,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Drepends}, ${misc:Depends}, libpmix2t64 (= ${binary:Version}), libevent-dev, libhwloc-dev, zlib1g-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, libpmix2t64 (= ${binary:Version}),
+	 libevent-dev, libhwloc-dev, zlib1g-dev,
+	 libjs-jquery
 Description: Development files for the PMI Exascale library  
  This is the OpenMPI implementation of the Process Management Interface (PMI)
  Exascale API. PMIx aims to retain transparent compatibility with the existing
