## pmix 5.0.7

=== debian/changelog ===
pmix (5.0.7-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:22:46 +0000

pmix (5.0.7-1) unstable; urgency=medium

  * New upstream release
  * Update link to libpmix.2.13.7

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 21 Mar 2025 14:12:29 +0000

pmix (5.0.6-5) unstable; urgency=medium

  * Fix python3-pmix depends. Closes: #1099555

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 05 Mar 2025 11:23:58 +0000

pmix (5.0.6-4) unstable; urgency=medium

  * Update hurd-fix.patch. Thanks Samuel Thibault. Closes: #1088833
  * Standards-Version: 4.7.2
  * Close old bug. Closes: #1088217

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 04 Mar 2025 14:52:08 +0000

  * Drop unnecessary dep on python3-sphinx

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 Feb 2025 05:52:01 +0000
