## pmix 6.0.0

=== debian/changelog ===
pmix (6.0.0-3) unstable; urgency=medium

  * Add Breaks on libopenmpi. Closes: #1112049

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 26 Aug 2025 09:03:21 +0100

pmix (6.0.0-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Aug 2025 16:02:01 +0100

pmix (6.0.0-1) experimental; urgency=medium

  * New upstream release
  * Add patch fix-missing-macro.patch
  * Update symlinks to 2.18.0

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 04 Jun 2025 12:13:22 +0100

pmix (5.0.8-1) experimental; urgency=medium

  * New upstream release
  * Update symlinks to 2.13.8

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 14 May 2025 10:56:22 +0100
