=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  libjansson-dev,
  libltdl-dev,
  libmunge-dev [ !hurd-any]
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/pmix/pmix
 Vcs-Browser: https://salsa.debian.org/science-team/pmix.git
 Vcs-Git: https://salsa.debian.org/science-team/pmix.git -b debian/latest
@@ -39,6 +39,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, libpmix2t64 (= ${binary:Version}),
 	 libevent-dev, libhwloc-dev, zlib1g-dev,
 	 libjs-jquery
+Breaks: libopenmpi-dev (>= 5.0.8-1)
 Description: Development files for the PMI Exascale library  
  This is the OpenMPI implementation of the Process Management Interface (PMI)
  Exascale API. PMIx aims to retain transparent compatibility with the existing
@@ -49,7 +50,7 @@
 Package: libpmix2t64
 Provides: ${t64:Provides}
 Replaces: libpmix2
-Breaks: libpmix2 (<< ${source:Version})
+Breaks: libpmix2 (<< ${source:Version}), libopenmpi-dev (>= 5.0.8-1)
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -72,7 +73,7 @@
  Exascale API. This package provides utilities for working with pmix.
 
 Package: python3-pmix
-Depends: python3, ${misc:Depends}, ${shlibs:Depends}, libpmix2t64 (= ${binary:Version})
+Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, libpmix2t64 (= ${binary:Version})
 Architecture: any
 Multi-Arch: foreign
 Recommends: libpmix-dev
