=== debian/rules ===
--- 
+++ 
@@ -8,23 +8,15 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
-AUTOGENERATED:= pmix-mca-params.conf
+AUTOGENERATED   := $(patsubst %.in,%,$(wildcard debian/*.in))
 CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)  -fPIC
 
-PSM_ARCH= amd64 i386
+PSM_ARCH= amd64
 UCX_ARCH= amd64 arm64 ppc64el
 PSM2_ARCH= amd64 
 PSM2:= $(if $(filter $(DEB_TARGET_ARCH),$(PSM2_ARCH)), --with-psm2, )
 UCX:=  $(if $(filter $(DEB_TARGET_ARCH),$(UCX_ARCH)), --with-ucx=/usr, )
 
-
-ifneq (,$(filter $(DEB_HOST_ARCH), armel mipsel sh4 m68k ))
-  export DEB_LDFLAGS_MAINT_APPEND += -Wl,--no-as-needed -latomic -Wl,--as-needed
-endif
-
-ifneq (,$(filter $(DEB_HOST_ARCH), mipsel))
-  export DEB_CFLAGS_MAINT_APPEND += -g1
-endif
 
 export LD_LIBRARY_PATH:=$(CURDIR)/debian/tmp/$(LIBDIR)/pmix2/lib:$(LD_LIBRARY_PATH)
 
@@ -67,7 +59,7 @@
 override_dh_autoreconf:
 	./autogen.pl --force
 	for f in ${AUTOGENERATED} ; do \
-                sed -e 's%@DEB_HOST_MULTIARCH@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
+                sed -e 's%@DEB_HOST_MULTIARCH@%${DEB_HOST_MULTIARCH}%g' < $$f.in  > $$f ; \
                 done
 
 override_dh_auto_configure:
