## pmix 6.0.0%2Breally5.0.9

=== debian/changelog ===
pmix (6.0.0+really5.0.9-3build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 21:48:15 +0000

pmix (6.0.0+really5.0.9-3) unstable; urgency=medium

  * Team upload.
  * Build-depend on python3-dev, not python3-all-dev (closes: #1119801).

 -- Colin Watson <cjwatson@debian.org>  Sun, 30 Nov 2025 19:18:34 +0000

pmix (6.0.0+really5.0.9-2) unstable; urgency=medium

  * Team upload.
  * debian patch tcp_loopback_PR3718.patch applies upstream PR#3718 to
    fix use of the loopback lo interface with tcp connections. Needed
    now that pmix 5.0.9 activates foreign tool support by default
    (remote connections are used). Closes: #1120424.

 -- Drew Parsons <dparsons@debian.org>  Sun, 09 Nov 2025 21:52:57 +0100

pmix (6.0.0+really5.0.9-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix broken symlinks (closes: #1120141)

 -- Gilles Filippini <pini@debian.org>  Thu, 06 Nov 2025 22:01:46 +0100

pmix (6.0.0+really5.0.9-1) unstable; urgency=medium

  * Move to latest bugfix release. Closes: #1119761
  * Move d/watch to version 4 syntax

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 05 Nov 2025 08:33:51 +0000

pmix (6.0.0+really5.0.8-1) unstable; urgency=medium

  * Revert to 5.0.8 for now. Closes: #1114459

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Sep 2025 14:05:27 +0100
