## pmix 6.0.0%2Breally5.0.10~rc1

=== debian/changelog ===
pmix (6.0.0+really5.0.10~rc1-1) experimental; urgency=medium

  [ Colin Watson ]
  * Drop libpsm-infinipath-dev. Closes: #1101520

  [ Alastair McKinstry ]
  * New upstream release
  * Move d/copyright to DEP-5
  * Use sphinxdoc to avoid libjs
  * Drop merged patch: fix-missing-macro.patch
  * Drop merged patch: tcp_loopback_PR3718.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 06 Dec 2025 14:06:59 +0000
