## pmix 6.0.0+really5.0.8

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,6 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, libpmix2t64 (= ${binary:Version}),
 	 libevent-dev, libhwloc-dev, zlib1g-dev,
 	 libjs-jquery
-Breaks: libopenmpi-dev (>= 5.0.8-1)
 Description: Development files for the PMI Exascale library  
  This is the OpenMPI implementation of the Process Management Interface (PMI)
  Exascale API. PMIx aims to retain transparent compatibility with the existing
@@ -50,7 +49,7 @@
 Package: libpmix2t64
 Provides: ${t64:Provides}
 Replaces: libpmix2
-Breaks: libpmix2 (<< ${source:Version}), libopenmpi-dev (>= 5.0.8-1)
+Breaks: libpmix2 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
