=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), 
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
  architecture-is-64-bit,
  dh-sequence-python3,
  chrpath,
  flex,
  bison,
  libfl-dev,
- python3-all-dev,
+ python3-dev,
  cython3,
  python3-setuptools,
  python3-sphinx,
@@ -39,13 +39,13 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, libpmix2t64 (= ${binary:Version}),
 	 libevent-dev, libhwloc-dev, zlib1g-dev,
 	 libjs-jquery
-Description: Development files for the PMI Exascale library  
+Description: Development files for the PMI Exascale library
  This is the OpenMPI implementation of the Process Management Interface (PMI)
  Exascale API. PMIx aims to retain transparent compatibility with the existing
- PMI-1 and PMI-2 definitions, and any future PMI releases; Support 
+ PMI-1 and PMI-2 definitions, and any future PMI releases; Support
  the Instant On initiative for rapid startup of applications at exascale
  and beyond.
- 
+
 Package: libpmix2t64
 Provides: ${t64:Provides}
 Replaces: libpmix2
@@ -57,7 +57,7 @@
 Description: Process Management Interface (Exascale) library
  This is the OpenMPI implementation of the Process Management Interface (PMI)
  Exascale API. PMIx aims to retain transparent compatibility with the existing
- PMI-1 and PMI-2 definitions, and any future PMI releases; Support 
+ PMI-1 and PMI-2 definitions, and any future PMI releases; Support
  the Instant On initiative for rapid startup of applications at exascale
  and beyond.
