## pmix 6.0.0+really5.0.10~rc1

=== debian/changelog ===
pmix (6.0.0+really5.0.10~rc1-2) experimental; urgency=medium

  * First autopkgtests
  * Update links: soversion now 2.23.0
  * Enable ESMTP; build-dep on libesmtp-dev
  * Enable IPv6
  * Fix Jansson support
  * Fix python3-pmix install: .so and .py files should not be in *egg
    directories
  * Build-dep on python3-all-dev and build/install python files for
    each python3 version
  * mdash.patch: Fix bad-whatis errors in manpages
  * d/control: python3-pmix in section: python

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 07 Dec 2025 17:05:40 +0000
