=== debian/control ===
--- 
+++ 
@@ -10,14 +10,15 @@
  flex,
  bison,
  libfl-dev,
- python3-dev,
+ libesmtp-dev,
+ python3-all-dev,
  cython3,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
  python3-recommonmark,
  libjs-jquery,
- libpsm-infinipath1-dev [amd64],
+ sphinx,
  libucx-dev [amd64 arm64 ppc64el],
  libpsm2-dev [amd64],
  libcurl4-gnutls-dev | libcurl-dev,
@@ -38,7 +39,8 @@
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, libpmix2t64 (= ${binary:Version}),
 	 libevent-dev, libhwloc-dev, zlib1g-dev,
-	 libjs-jquery
+	  ${sphinxdoc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
 Description: Development files for the PMI Exascale library
  This is the OpenMPI implementation of the Process Management Interface (PMI)
  Exascale API. PMIx aims to retain transparent compatibility with the existing
@@ -72,7 +74,8 @@
  Exascale API. This package provides utilities for working with pmix.
 
 Package: python3-pmix
-Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, libpmix2t64 (= ${binary:Version})
+Section: python
+Depends: ${python3:Depends}, ${shlibs:Depends}
 Architecture: any
 Multi-Arch: foreign
 Recommends: libpmix-dev
