=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,16 @@
 
 export DH_VERBOSE=1
 
-
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
+PY3VERS:=$(shell py3versions --supported)
+PY3DEFAULT:=$(shell py3versions --default -v)
+PYDIR:=debian/python3-pmix/usr/lib/python3/dist-packages
+
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
-AUTOGENERATED   := $(patsubst %.in,%,$(wildcard debian/*.in))
+AUTOGENERATED:= pmix-mca-params.conf
 CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)  -fPIC
 
 PSM_ARCH= amd64
@@ -25,7 +28,7 @@
 export USER=username
 
 %:
-	dh $@ 
+	dh $@ --with sphinxdoc
 
 BUILD_FLAGS:= \
 	$(PSM2) \
@@ -36,8 +39,10 @@
 	--sysconfdir=$(LIBDIR)/pmix2/share \
 	--datarootdir=$(LIBDIR)/pmix2/share \
 	--with-curl \
+	--enable-ipv6 \
 	--with-zlib=/usr \
 	--with-zlib-libdir=$(LIBDIR) \
+	--with-jansson=/usr \
 	--with-jansson-libdir=$(LIBDIR) \
 	--with-hwloc=/usr \
 	--with-hwloc-libdir=$(LIBDIR) \
@@ -46,7 +51,7 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f $(patsubst %, debian/%, ${AUTOGENERATED})
-	rm -rf debian/static-build debian/shared-build
+	rm -rf debian/static-build debian/shared-build*
 	rm -f .gitmodules
 	# autogenerated files. Clean so double-build works
 	find . -name Makefile.in -delete
@@ -59,7 +64,7 @@
 override_dh_autoreconf:
 	./autogen.pl --force
 	for f in ${AUTOGENERATED} ; do \
-                sed -e 's%@DEB_HOST_MULTIARCH@%${DEB_HOST_MULTIARCH}%g' < $$f.in  > $$f ; \
+                sed -e 's%@DEB_HOST_MULTIARCH@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
                 done
 
 override_dh_auto_configure:
@@ -67,6 +72,9 @@
 		--enable-static 
 	dh_auto_configure --builddirectory=debian/shared-build -- $(BUILD_FLAGS) \
 		--enable-shared
+	for p in $(PY3VERS)  ; do \
+		PYTHON=$$p	dh_auto_configure --builddirectory=debian/shared-build-$$p -- $(BUILD_FLAGS) \
+		--enable-shared ; done
 
 override_dh_auto_build:
 	# Hack - build system doesn't work well with builddirs
@@ -77,11 +85,23 @@
 	cp bindings/python/pmix.* debian/shared-build/bindings/python
 	dh_auto_build  --builddirectory=debian/static-build
 	dh_auto_build  --builddirectory=debian/shared-build
+	for p in $(PY3VERS)  ; do \
+		cp include/*.h debian/shared-build-$$p/include ; \
+		cp bindings/python/pmix.* debian/shared-build-$$p/bindings/python ; \
+		PYTHON=$$p dh_auto_build  --builddirectory=debian/shared-build-$$p ; \
+		done
 
 override_dh_auto_install:
 	dh_auto_install --builddirectory=debian/static-build
 	dh_auto_install --builddirectory=debian/shared-build
+	for p in $(PY3VERS)  ; do \
+		PYTHON=$$p dh_auto_install  --builddirectory=debian/shared-build-$$p ; \
+		done
 	find debian/tmp -name '*.la' -delete
 	chrpath -d debian/tmp/$(LIBDIR)/pmix2/bin/*
 	chrpath -d debian/tmp/$(LIBDIR)/pmix2/lib/pmix/*.so
 
+execute_after_dh_python3:
+	mkdir -p $(PYDIR)/pmix
+	mv $(PYDIR)/*egg/*.so $(PYDIR)/pmix
+	mv  $(PYDIR)/pypmix-*-py$(PY3DEFAULT)-linux-*.egg/*.py $(PYDIR)/pmix
