=== debian/tests/control ===
Tests: python3-pmix-loads
Depends: @, python3-pmix, python3-all
Restrictions: superficial

Tests: pmix-info-works
Depends: libpmix-bin
